Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 1391423002: net: Remove FilePath version of URLRequestMockHTTPJob::GetMockUrl(). (Closed)

Created:
2 years, 1 month ago by tfarina
Modified:
2 years, 1 month ago
CC:
chromium-reviews, tburkard+watch_chromium.org, gavinp+prer_chromium.org, cbentzel+watch_chromium.org, davidben+watch_chromium.org, mmenke
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

net: Remove FilePath version of URLRequestMockHTTPJob::GetMockUrl(). For historical reasons, URLRequestMockHTTPJob::GetMockUrl() and GetMockHttpsUrl() take a base::FilePath even though the only thing they do with it is call path.MaybeAsASCII() on it. All the unittests using them have to do ugly things with FILE_PATH_LITERAL when calling. This patch fixes the only file using the FilePath version of GetMockUrl(). BUG=496936 TEST=browser_tests && unit_tests R=mattm@chromium.org,mmenke@chromium.org TBR=thestig@chromium.org,avi@chromium.org Committed: https://crrev.com/5e7b57230f8fccaaf2ecd0cfc62869de629678e4 Cr-Commit-Position: refs/heads/master@{#354691}

Patch Set 1 #

Patch Set 2 : rm from url_request_mock_http_job.* #

Patch Set 3 : save_package_unittest.cc #

Patch Set 4 : browser_tests #

Patch Set 5 : kTestDir unused #

Patch Set 6 : content_browsertests #

Patch Set 7 : chromeos fixes #

Patch Set 8 : fix download_browsertest.cc typos #

Total comments: 4

Patch Set 9 : mmenke review #

Unified diffs Side-by-side diffs Delta from patch set Stats (+170 lines, -240 lines) Patch
M chrome/browser/browser_encoding_browsertest.cc View 1 2 3 3 chunks +6 lines, -3 lines 0 comments Download
M chrome/browser/browsing_data/browsing_data_remover_browsertest.cc View 1 2 3 1 chunk +1 line, -2 lines 0 comments Download
M chrome/browser/captive_portal/captive_portal_browsertest.cc View 1 2 3 4 5 6 7 8 6 chunks +6 lines, -13 lines 0 comments Download
M chrome/browser/content_settings/content_settings_browsertest.cc View 1 2 3 2 chunks +2 lines, -4 lines 0 comments Download
M chrome/browser/download/download_browsertest.cc View 1 2 3 4 5 6 7 8 40 chunks +52 lines, -64 lines 0 comments Download
M chrome/browser/download/save_page_browsertest.cc View 1 2 3 4 5 6 7 8 7 chunks +9 lines, -15 lines 0 comments Download
M chrome/browser/errorpage_browsertest.cc View 1 2 3 10 chunks +18 lines, -24 lines 0 comments Download
M chrome/browser/extensions/api/enterprise_device_attributes/enterprise_device_attributes_apitest.cc View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/browser/extensions/api/enterprise_platform_keys/enterprise_platform_keys_apitest_nss.cc View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/browser/lifetime/browser_close_manager_browsertest.cc View 1 2 3 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/browser/net/dns_probe_browsertest.cc View 1 2 3 4 5 6 7 8 1 chunk +2 lines, -6 lines 0 comments Download
M chrome/browser/policy/policy_browsertest.cc View 1 2 3 4 5 6 7 8 9 chunks +16 lines, -19 lines 0 comments Download
M chrome/browser/prerender/prerender_resource_throttle_unittest.cc View 6 chunks +3 lines, -12 lines 0 comments Download
M chrome/browser/unload_browsertest.cc View 1 2 3 4 5 6 7 8 2 chunks +2 lines, -4 lines 0 comments Download
M content/browser/download/download_browsertest.cc View 1 2 3 4 5 6 7 8 10 chunks +12 lines, -19 lines 0 comments Download
M content/browser/download/drag_download_file_browsertest.cc View 1 2 3 4 5 6 7 8 2 chunks +2 lines, -4 lines 0 comments Download
M content/browser/download/save_package_unittest.cc View 1 2 3 4 2 chunks +3 lines, -11 lines 0 comments Download
M content/browser/loader/resource_dispatcher_host_browsertest.cc View 1 2 3 4 5 7 chunks +30 lines, -23 lines 0 comments Download
M net/test/url_request/url_request_mock_http_job.h View 1 1 chunk +0 lines, -4 lines 0 comments Download
M net/test/url_request/url_request_mock_http_job.cc View 1 1 chunk +0 lines, -7 lines 0 comments Download

Messages

Total messages: 13 (4 generated)
tfarina
Matt, PTAL!
2 years, 1 month ago (2015-10-08 20:53:14 UTC) #1
tfarina
Ping!
2 years, 1 month ago (2015-10-14 16:33:36 UTC) #2
mmenke
Can any Matt review this, or just particular Matts? LGTM https://codereview.chromium.org/1391423002/diff/140001/chrome/browser/download/download_browsertest.cc File chrome/browser/download/download_browsertest.cc (right): https://codereview.chromium.org/1391423002/diff/140001/chrome/browser/download/download_browsertest.cc#newcode1131 ...
2 years, 1 month ago (2015-10-14 16:43:20 UTC) #4
tfarina
TBRing Lei for chrome and Avi for content. https://codereview.chromium.org/1391423002/diff/140001/chrome/browser/download/download_browsertest.cc File chrome/browser/download/download_browsertest.cc (right): https://codereview.chromium.org/1391423002/diff/140001/chrome/browser/download/download_browsertest.cc#newcode1131 chrome/browser/download/download_browsertest.cc:1131: GURL ...
2 years, 1 month ago (2015-10-17 22:24:44 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1391423002/160001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1391423002/160001
2 years, 1 month ago (2015-10-17 22:25:40 UTC) #9
commit-bot: I haz the power
Committed patchset #9 (id:160001)
2 years, 1 month ago (2015-10-17 23:37:48 UTC) #10
commit-bot: I haz the power
Patchset 9 (id:??) landed as https://crrev.com/5e7b57230f8fccaaf2ecd0cfc62869de629678e4 Cr-Commit-Position: refs/heads/master@{#354691}
2 years, 1 month ago (2015-10-17 23:38:59 UTC) #11
Avi (ping after 24h)
lgtm
2 years, 1 month ago (2015-10-18 00:03:06 UTC) #12
Lei Zhang
2 years, 1 month ago (2015-10-18 03:41:21 UTC) #13
Message was sent while issue was closed.
lgtm

Powered by Google App Engine
This is Rietveld efc10ee0f